Arch: Fereastră

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Window and the translation is 42% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Previous: Arch Reference.svg Reference

Arch Window.svg Arch Window

poziția meniului
Arch → Window
Workbenches
Arch
scurtătură
W I
Prezentat în versiune
-
A se vedea, de asemenea,
Arch Wall


Descriere

Fereastra este un obiect de bază pentru toate tipurile de obiecte "încorporate", cum ar fi ferestrele și ușile. Este concepută să fie independentă, sau "găzduită" în interiorul unei alte componente, cum ar fi Arch Wall, Arch Structure sau Arch Roof. Are o geometrie proprie, care poate fi făcută din mai multe componente solide (de obicei un cadru și panouri interioare) și definește de asemenea un volum care trebuie scăzut din obiectele gazdă, pentru a crea o deschidere.

Elementele ferestrei se bazează pe obiecte 2D închise, cum ar fi Draft Rectangles ori Sketches, care sunt folosite pentru a defini componentele lor interioare. Obiectul de bază 2D trebuie să conțină, prin urmare, mai multe filamente închise, care pot fi combinate pentru a forma panouri umplute (un filament) sau rame (mai multe filamente).

Instrumentul Window are câteva funcții presets, acest lucru permite utilizatorului să creeze tipuri comune de ferestre și uși cu anumiți parametri editabili, fără a fi nevoie ca utilizatorul să creeze manual obiecte și componente de bază 2D.

Toate informațiile aplicabile unui Arch Window se aplică și pentru Arch Door, deoarece este același obiect de bază. Principala diferență dintre un Ferest și o Ușă este că Ușa are un panou interior care este arătat opac (ușa însăși), în timp ce Fereastra are un panou parțial transparent (geamul).

Arch Window example.jpg

Arch Window example.jpg

Arch Window example2.jpg

Complex window being constructed on top of a Sketch. When entering the window's edit mode you can create different components, set their thickness, and select and assign wires from the sketch to them.


Cum se folosește

Utilizarea predefinitelor

  1. Opțional, selectați un obiect Arch. Dacă nu este selectat niciun obiect, fereastra va fi inserată în obiectul de sub mouse când plasați fereastra.
  2. Press the Arch Window.png Arch Window button, or press W then I keys
  3. Select one of the presets in the list
  4. Fill out the desired parameters
  5. Press the OK button

Note: if you install the "Parts Library" from the AddonManager, the window tool will search this library for additional presets. These presets are FreeCAD files containing a single window based on a parametric sketch that has named constrains. You may place additional presets in the parts_library directory so that they are found by the window tool.

$ROOT_DIR/Mod/parts_library/Architectural\ Parts/Doors/Custom/
$ROOT_DIR/Mod/parts_library/Architectural\ Parts/Windows/Custom/

The $ROOT_DIR is the user's directory where FreeCAD configuration, macros, and external workbenches are stored.

  • On Linux it is usually /home/username/.FreeCAD/
  • On Windows it is usually C:\Users\username\Application Data\FreeCAD\
  • On Mac OSX it is usually /Users/username/Library/Preferences/FreeCAD/

Crearea de la zero

  1. Opțional, selectați o fațetă de pe Arch unde doriți să fie inclusă fereastra
  2. Switch to the Sketcher Workbench
  3. Create a new sketch
  4. Draw one or more closed wires
  5. Close the sketch
  6. Switch back to the Arch Workbench
  7. Press the Arch Window.png Arch Window button, or press W then I keys
  8. Enter Edit mode by double-clicking the window in the tree view, to adjust the window components

Note: when creating the sketch, pay close attention to the creation order of the loops; the numbering of the "wires" in the task panel ("Window elements") depends on this.

Setări prealabile

Sunt disponibile următoarele presetări:

Construcția de componente

Ferestrele pot include 3 tipuri de componente: panouri, cadre și jaluzele. Panourile și jaluzele sunt realizate dintr-un fir închis, care este extrudat, în timp ce cadrele sunt realizate din 2 sau mai multe fire închise,where each one is extruded, then the smaller ones are subtracted from the biggest one. You can access, create, modify and delete components of a window in edit mode (double-click the window in the Tree view). The components have the following properties:

  • Name: Un nume al componentului
  • Type: The type of component. Can be "Frame", "Glass panel", "Solid panel" or "Louvres"
  • Wires: A comma-separated list of wires the component is based on
  • Thickness: The extrusion thickness of the component
  • Z Offset: The distance between the component and its base 2D wire(s)
  • Hinge: This allows you to select an edge from the base 2D object, then set that edge as a hinge for this component and the next ones in the list
  • Opening mode: If you defined a hinge in this component or any other earlier in the list, setting the opening mode will allow the window to appear open or to display 2D opening symbols in plan or elevation.

Arch Window options.jpg

Opţiuni

  • Ferestrele partajează proprietățile și comportamentele comune ale tuturorArch Components
  • If the Auto-includecheckbox on the Window creation task panel is unchecked, the window won't be inserted into any host object on creation.
  • Add a selected window to a wall by selecting both, then pressing the Arch Add.png Arch Add button.
  • Remove a selected window from a wall by selecting the window, then pressing the Arch Remove.png Arch Remove button.
  • When using presets, it is often convenient to turn the "Near" Draft Snap on, so you can snap your window to an existing face.
  • The hole created by a window in its host object is determined by two properties: Hole Depth and Hole Wire (introduced in version 0.17). The Hole Wire number can be picked in the 3D view from the window's task panel available when double-clicking the window in the tree view
  • Windows poate folosi Multi-Materials. Fereastra va căuta în Multi-Material -ul atașat pentru straturi de materiale cu același nume pentru fiecare componentă a ferestrei și o folosește dacă este găsită. De exemplu, o componentă numită "OuterFrame" va căuta în Multi-Material atașat, pentru un strat de material numit "OuterFrame". Dacă se găsește un astfel de strat, materialul său va fi atribuit componentei OuterFrame. Valoarea grosimii stratului de material nu este luată în considerare.

Deschideri

A se vedea de asemenea: Tutorial for open windows

Ușile și ferestrele pot apărea parțial sau complet în modelul 3D sau pot fi afișate atât în plan cât și în elevație. Consequently, these will also appear in extracted 2D views generated by Draft Shape2DView or TechDraw Workbench or Drawing Workbench.Pentru a obține acest lucru, cel puțin una dintre componentele ferestrei trebuie să aibă o articulație și un mod de deschidere definit (vezi #Building components de mai sus). Apoi, folosind proprietățile Open, Symbol Plan sau Elevation Symbol , puteți configura aspectul ferestrei:

Arch window openings.png

A door showing from left to right the Symbol Plan, Symbol Elevation and Opening properties at work

Proprietăți

  • DATAHeight: Înălțimea acestei ferestre
  • DATAWidth: The width of this window
  • DATAHole Depth: The depth of the hole created by this window in its host object
  • DATAHole Wire: The number of the wire from the base object that is used to create a hole in the host object of this window. This value can be set graphically when double-clicking the window in the tree view. Setting a value of 0 will make the window automatically pick its biggest wire for the hole.
  • DATAWindow Parts: A list of strings (5 strings per component, setting the component options above)
  • DATALouvre Width: If any of the components is set to "Louvres", this property defines the size of the louvre elements
  • DATALouvre Spacing: If any of the components is set to "Louvres", this property defines the spacing between the louvre elements
  • DATAOpening: All components that have their opening mode set, and provided a hinge is defined in them or in an earlier component in the list, will appear open by a percentage defined by this value
  • DATASymbol Plan: Shows 2D opening symbol in plan
  • DATASymbol Elevation: Shows 2D opening symbol in elevation

Script

Instrumentul pentru ferestre poate fi utilizat în macro-uri și din consola Python utilizând următoarea funcție:

Window = makeWindow(baseobj=None, width=None, height=None, parts=None, name="Window")
  • Toate argumentele sunt opționale
  • Creează un Window </ code> bazat pe <code> baseobj </ code>, care ar trebui să fie un Draft Wire sau Sketcher Sketch
  • Dacă este disponibil, setează <code> width </ code>, <code> height </ code> și <code> name </ code>
  • Dacă <code> baseobj </ code> nu este o formă închisă, este posibil ca instrumentul să nu creeze o figură solidă adecvată

</div>

Exempluː

import FreeCAD, Draft, Arch

Rect1 = Draft.makeRectangle(length=900, height=3000)
Window = Arch.makeWindow(Rect1)
FreeCAD.ActiveDocument.recompute()

You can also create a Window from a preset.

Window = makeWindowPreset(windowtype, width, height, h1, h2, h3, w1, w2, o1, o2, placement=None)

Arch Window example2.jpg

Example:

import FreeCAD, Arch

base = FreeCAD.Vector(2000, 0, 0)
Axis = FreeCAD.Vector(1, 0, 0)
place=FreeCAD.Placement(base, FreeCAD.Rotation(Axis, 90))

Door = Arch.makeWindowPreset("Simple door",
                             width=900, height=2000,
                             h1=100, h2=100, h3=100, w1=200, w2=100, o1=0, o2=100,
                             placement=place)